package com.xdap.self_development.service;

import com.xdap.self_development.common.YcTaskResult;
import com.xdap.self_development.controller.request.YcGetTodoTaskRequest;
import com.xdap.self_development.domain.pojo.CompletedTaskPojo;
import com.xdap.self_development.domain.pojo.InitiatedTaskPojo;
import com.xdap.self_development.domain.pojo.TodoTaskPojo;

public interface YcTaskResultService {
    YcTaskResult returnTodoTask(YcGetTodoTaskRequest ycGetTodoTaskRequest);

    YcTaskResult returnCompleted(YcGetTodoTaskRequest ycGetTodoTaskRequest);

    YcTaskResult returnInitiator(YcGetTodoTaskRequest ycGetTodoTaskRequest);

    TodoTaskPojo getTodoById(String flowId);

    InitiatedTaskPojo getInitiatorById(String flowId);

    CompletedTaskPojo getCompletedById(String flowId);
}
